package cz.jzitnik.game.stats;

import cz.jzitnik.game.annotations.ThreadRegistry;

@ThreadRegistry
public class StatsThread extends Thread {
    private Stats stats;

    @Override
    public void run() {
        try {
            stats.setSecondsPlayed(stats.getSecondsPlayed());

            while (true) {
                Thread.sleep(1000);
            }
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
